Page MenuHomePhabricator

Some users are experiencing errors subscribing to daily-article-l
Closed, ResolvedPublic

Description

Some users are receiving the error: "Please take a few seconds to fill out the form before submitting it. You must GET the form before submitting it. " when they attempt to subscribe to the daily article mailing list.

Event Timeline

Matthewrbowker raised the priority of this task from to Low.
Matthewrbowker updated the task description. (Show Details)
Matthewrbowker added a subscriber: Matthewrbowker.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2015, 4:33 PM

Is the form pure HTML or the Mailman form itself? If it is pure HTML, they no longer work after spam improvements in 2.1.16 and must use the mailman form.

Something like:

<MM-Subscribe-Form-Start>
<table>
  <tr><td>Your e-mail address:</td><td><MM-Subscribe-Box></td></tr>
  <tr><td>Your name (optional):</td><td><mm-fullname-box></td></tr>
  <!-- Optional Password Fields (can leave out for public lists as Mailman auto-generates) -->
  <!-- Password reminders can always be requested through web interface -->
  <!-- Most likely only to be used with lists with private archives or subscription lists -->
  <!-- <tr><td>Password:</td><td><MM-New-Password-Box></td></tr> -->
  <!-- <tr><td>Confirm Password:</td><td><MM-Confirm-Password></td></tr> -->
  <!-- Part of the multilingual selector below -->
  <tr><td>Preferred language:</td><td><MM-list-langs></td></tr>
</table>
<p><MM-Reminder></p>
<p><mm-digest-question-start> Would you like to receive list mail batched in a daily digest? 
<MM-Undigest-Radio-Button> No <MM-Digest-Radio-Button>  Yes <mm-digest-question-end></p>
<!-- MM-List-Subscription-Msg gives extra details about the subscription rules of the list -->
<!-- This is optional, and will include variations between subscription rules (confirm vs confirm and approve) -->
<!-- On the majority of lists this can be commented out as subscription rules will simply be confirm -->
<MM-List-Subscription-Msg>
<p style="text-align: center"><MM-Subscribe-Button><MM-Form-End></p>

is the mailman form (from https://github.com/quimgil/mailman-templates/blob/master/mailman-template.html#L214)

Dzahn added a subscriber: Dzahn.Oct 22 2015, 5:02 PM
JohnLewis closed this task as Invalid.Oct 23 2015, 2:20 PM
JohnLewis claimed this task.

I've looked at the info page and it seems the code is pure HTML. Please see the example above and convert the subscription page to mailman.

Matthewrbowker reopened this task as Open.Oct 29 2015, 8:00 PM
Matthewrbowker added a subscriber: Rjd0060.

Thank you for the information.

I'm going to re-open this task and assign it to myself, as a todo item to change it over.

@Rjd0060 you would be interested in this too.

Matthewrbowker set Security to None.
Dzahn removed a subscriber: Dzahn.Oct 29 2015, 8:11 PM
Matthewrbowker closed this task as Resolved.Oct 30 2015, 12:40 AM

Just fixed and tested it, appears to work.